
/////////////////////////////////////////////////////////////
//
// Source file for Dpy_formUI
//
//    This class implements the user interface created in 
//    RapidApp.
//
//    Restrict changes to those sections between
//    the "//--- Start/End editable code block" markers
//
//    This will allow RapidApp to integrate changes more easily
//
//    This class is a ViewKit user interface "component".
//    For more information on how components are used, see the
//    "ViewKit Programmers' Manual", and the RapidApp
//    User's Guide.
//
//
/////////////////////////////////////////////////////////////


#include "Dpy_formUI.h" // Generated header file for this class

#include <Xm/Form.h> 
#include <Xm/TextF.h> 
#include <Vk/VkResource.h>
//---- Start editable code block: headers and declarations


//---- End editable code block: headers and declarations


// These are default resources for widgets in objects of this class
// All resources will be prepended by *<name> at instantiation,
// where <name> is the name of the specific instance, as well as the
// name of the baseWidget. These are only defaults, and may be overriden
// in a resource file by providing a more specific resource name

String  Dpy_formUI::_defaultDpy_formUIResources[] = {

        //---- Start editable code block: Dpy_formUI Default Resources


        //---- End editable code block: Dpy_formUI Default Resources

        (char*)NULL
};

Dpy_formUI::Dpy_formUI ( const char *name ) : VkComponent ( name ) 
{ 
    // No widgets are created by this constructor.
    // If an application creates a component using this constructor,
    // It must explictly call create at a later time.
    // This is mostly useful when adding pre-widget creation
    // code to a derived class constructor.

    //---- Start editable code block: Dpy_form constructor 2


    //---- End editable code block: Dpy_form constructor 2


}    // End Constructor




Dpy_formUI::Dpy_formUI ( const char *name, Widget parent ) : VkComponent ( name ) 
{ 
    //---- Start editable code block: Dpy_form pre-create


    //---- End editable code block: Dpy_form pre-create



    // Call creation function to build the widget tree.

     create ( parent );

    //---- Start editable code block: Dpy_form constructor


    //---- End editable code block: Dpy_form constructor


}    // End Constructor


Dpy_formUI::~Dpy_formUI() 
{
    // Base class destroys widgets

    //---- Start editable code block: Dpy_formUI destructor


    //---- End editable code block: Dpy_formUI destructor
}    // End destructor



void Dpy_formUI::create ( Widget parent )
{
    Arg      args[10];
    Cardinal count;
    count = 0;

    // Load any class-defaulted resources for this object

    setDefaultResources ( parent, _defaultDpy_formUIResources  );


    // Create an unmanaged widget as the top of the widget hierarchy

    _baseWidget = _dpy_form = XtVaCreateWidget ( _name,
                                                 xmFormWidgetClass,
                                                 parent, 
                                                 XmNresizePolicy, XmRESIZE_GROW, 
                                                 (XtPointer) NULL ); 

    // install a callback to guard against unexpected widget destruction

    installDestroyHandler();


    // Create widgets used in this component
    // All variables are data members of this class

    _kbps_text = XtVaCreateManagedWidget  ( "kbps_text",
                                             xmTextFieldWidgetClass,
                                             _baseWidget, 
                                              XmNeditable, False, 
                                             XmNtopAttachment, XmATTACH_FORM, 
                                             XmNbottomAttachment, XmATTACH_NONE, 
                                             XmNleftAttachment, XmATTACH_FORM, 
                                             XmNrightAttachment, XmATTACH_NONE, 
                                             XmNtopOffset, 180, 
                                             XmNbottomOffset, 0, 
                                             XmNleftOffset, 88, 
                                             XmNrightOffset, 0, 
                                             XmNwidth, 90, 
                                             XmNheight, 35, 
                                             (XtPointer) NULL ); 


    _fps_text = XtVaCreateManagedWidget  ( "fps_text",
                                            xmTextFieldWidgetClass,
                                            _baseWidget, 
                                              XmNeditable, False, 
                                            XmNtopAttachment, XmATTACH_FORM, 
                                            XmNbottomAttachment, XmATTACH_NONE, 
                                            XmNleftAttachment, XmATTACH_FORM, 
                                            XmNrightAttachment, XmATTACH_NONE, 
                                            XmNtopOffset, 180, 
                                            XmNbottomOffset, 0, 
                                            XmNleftOffset, 0, 
                                            XmNrightOffset, 0, 
                                            XmNwidth, 92, 
                                            XmNheight, 35, 
                                            (XtPointer) NULL ); 


    _status_text = XtVaCreateManagedWidget  ( "status_text",
                                               xmTextFieldWidgetClass,
                                               _baseWidget, 
                                              XmNeditable, False, 
                                               XmNtopAttachment, XmATTACH_FORM, 
                                               XmNbottomAttachment, XmATTACH_NONE, 
                                               XmNleftAttachment, XmATTACH_FORM, 
                                               XmNrightAttachment, XmATTACH_NONE, 
                                               XmNtopOffset, 145, 
                                               XmNbottomOffset, 0, 
                                               XmNleftOffset, -1, 
                                               XmNrightOffset, 0, 
                                               XmNwidth, 176, 
                                               XmNheight, 35, 
                                               (XtPointer) NULL ); 



    //---- Start editable code block: Dpy_formUI create


    //---- End editable code block: Dpy_formUI create
}

const char * Dpy_formUI::className()
{
    return ("Dpy_formUI");
}    // End className()




/////////////////////////////////////////////////////////////// 
// The following functions are called from the menu items 
// in this window.
/////////////////////////////////// 



//---- Start editable code block: End of generated code


//---- End editable code block: End of generated code
